'use strict';

var browshot = require('browshot');

var client = new browshot('my_api_key');



// You can only host screenshots in finished state
client.screenshotList({ limit: 1, status: 'finished' }, function (list) {
	if (list.length == 0) {
		console.log("No screenshot finished");
	}
	else {
		for(var i in list) {
			// host a thumbnail
			client.screenshotHost(list[i].id,
				{
					hosting: 's3',
					bucket: 'my_bucket', 
					file: 'youtube.png', 
					width: 600
				}, function(screenshot) {
					if (screenshot.status == 'ok') {
						console.log(`The screenshot is now hosted at ${screenshot.url}`);
					}
					else {
						console.log(`Hosting failed: ${screenshot.error}`);
					}
				}
			);
		}
	}
});